Deutsch

А расскажите на пальцах, что есть .Net Core

980  1 2 3 все
moose коренной житель27.01.20 22:52
moose
27.01.20 22:52 

, и чем он действительно не .Net.

только действительно на пальцах. без умных слов специальных.

я так понимаю, чтобы побаловаться, нужно 2019 устанавливать? с 2017 никак?

ばかが過半数である場合、それは彼らが正しいという意味ではありません
#1 
AlexNek патриот27.01.20 23:20
AlexNek
NEW 27.01.20 23:20 
в ответ moose 27.01.20 22:52

Для начала нужно знать, а зачем? Консольные приложения для винды или никсов, веб?

С вебом коре 3.0 играюсь уже некоторое время - очень приятно. Хотя даже я нашел уже несколько ошибок там.

Можно и 2017 пробовать только будет старая версия 2.1 максимально вроде.


А так лучше готовое почитать

https://proglib.io/p/10-things-about-dotnet-core/

https://gosha20777.github.io/code/2018/02/22/dotnetcore/

http://www.cyberforum.ru/net-framework/thread2445215.html


.NET Framework - это старая платформа, работающая только под Windows.

.NET Core - это новая платформа, которая может работать как под Windows, так и под Linux. Соответственно обкоцанная.

#2 
moose коренной житель28.01.20 11:37
moose
NEW 28.01.20 11:37 
в ответ AlexNek 27.01.20 23:20, Последний раз изменено 28.01.20 11:48 (moose)

те же шаблоны проектов, тот же сишарп, те же "привычные" фреймуорки?

почитать я и сам могу нарыть что, и прочесть, естественно, могу, всю жизнь этим занимаюсь. но на пальцах от "бывалых" иногда для начала очень полезно послушать.

тем более ваши ссылки на непривычном языке, с незнакомой терминологией...


пока прочел википедию:


https://en.wikipedia.org/wiki/.NET_Core


впечатление такое, что мне оно ПОКА ни к чему, хотя и читал где-то, то эта машина значительно шустрее нэтфрэймуорка.

и главное, чтобы побаловаться, нужно устанавливать VS2019, а мне уже некуда.

ばかが過半数である場合、それは彼らが正しいという意味ではありません
#3 
AlexNek патриот28.01.20 17:51
AlexNek
NEW 28.01.20 17:51 
в ответ moose 28.01.20 11:37
ваши ссылки на непривычном языке

Не понял, а вы разве не русскоязычный? Или тут выросли?

Для меня просто один фиг на каком языке. (ru,en,de) И для обзора больше русский нравится, привычней по диагонали читать.

"Статью" просто писать нет времени. Тем более, что их на любом языке полно и так.

Поэтому и спрашивал про то что именно интересует.


Шаблоны конечно разные даже для 2.0 или 3.0

Сишарп для 2019 можно пользовать 8.

фреймворки лучше с поддержкой core

нужно устанавливать VS2019

для поиграться не нужно, специально сделал консольку core на 2017. Может еще чего доустановить нужно... счас гляну


мне оно ПОКА ни к чему

В этом то и собака зарыта. У меня просто пока есть время что то новой изучить. Вот и выбрал что должно быть перспективно, так как после 5-го .NET Framework-а пока больше ничего не планируется будет только core

#4 
moose коренной житель28.01.20 22:39
moose
NEW 28.01.20 22:39 
в ответ AlexNek 28.01.20 17:51
"Статью" просто писать нет времени. Тем более, что их на любом языке полно и так.

тогда о чем вообще разговор? спокойно занимайтеся : )

ばかが過半数である場合、それは彼らが正しいという意味ではありません
#5 
AlexNek патриот28.01.20 23:32
AlexNek
NEW 28.01.20 23:32 
в ответ moose 28.01.20 22:39

Умеете Вы дать позитивную энергию смущ

Сорри, не умею я читать чужие мысли и догадаться, что именно хочется услышать.

Могу вот мои самые первые мысли описать как только прочитал о Core - ну вот наконец-то смогу свои проги под Никсами запускать.

А в итоге оказалось - фигвам.

Для начала, только консольные проги и компилировать нужно исключительно под Юниксом.


#6 
moose коренной житель29.01.20 22:36
moose
NEW 29.01.20 22:36 
в ответ AlexNek 28.01.20 23:32, Последний раз изменено 29.01.20 22:37 (moose)
Умеете Вы дать позитивную энергию смущ

да у меня ее как г*вна! берите не жалко! :):):):):):):):):):):):):):):):):):):):):):):):):):):)

понимаю так, что опыта (позитивного) у вас нет, и зачем она эта Core сегодня может пригодится - почти никаких догадок, кроме как в вижуал студио что-нибудь сделать, потом в юниксе запускать (зачем только). причем не компилируя. а что - рассчитывали получить экзэшник и дээлэлки "юникс-компатибл"? тогда проще *.jar скопмилировать, он выполняется везде практически.

я как-то, в 2015 (кажется), увидел, что там есть хамарин-тэмплэйт. во, думаю, щяс хэллоуорлд сделаю и на андроиде прогоню. ... ни строчки своей не добавил, попытался скомпилировать свежий темплэйт. такая куча ошибок повываливала абсолютно ни о чем не говорящих. на этом мое знакомство с хамарином закончилось.

версия 3 нэткора вроде заявляет, что знает винформз и впф. возможно, не в полном объеме.

ばかが過半数である場合、それは彼らが正しいという意味ではありません
#7 
AlexNek патриот29.01.20 22:59
AlexNek
NEW 29.01.20 22:59 
в ответ moose 29.01.20 22:36
понимаю так

Да уж понимание тоже на высоте. спок Ладно, если без дипломатии, то в дискуссиях в подобном тоне я просто не участвую.

Хотите что то прояснить давайте разбираться вместе. Всё что я хотел - это чем то Вам помочь, но похоже это вас совсем не интересует.

#8 
moose коренной житель29.01.20 23:14
moose
NEW 29.01.20 23:14 
в ответ AlexNek 29.01.20 22:59

как раз интересует. иначе зачем бы тема?

"дискуссии" у нас не может получиться по причине того, что у меня опыта с кор ВООБЩЕ НИКАКОГО. тему открыл как раз в надежде, что кто-то уже имеет опыт, и расскажет вкратце, что он хорошего в нем нашел, какие недостатки, какие выводы может сделать на сегодняшний день и т.д.


все что я могу в этой теме написать - это мои догадки, спекуляции и вопросы. ну, позитива зарядить : )

за желание помочь - спасибо.

ばかが過半数である場合、それは彼らが正しいという意味ではありません
#9 
AlexNek патриот29.01.20 23:55
AlexNek
NEW 29.01.20 23:55 
в ответ moose 29.01.20 23:14
как раз интересует

Тогда я не понимаю Ваши ответы в скажем так, невежливом отношении к собеседнику.

Я ведь не позиционирую себя доктором наук в области Core и программирования.

Всего-то месяца три делаю Core веб проект с хамарином через веб-апи. Сейчас остались разные мелочи, типа картинки добавить, доку дописать и прочее. С WPF Core просто поигрался. Особого негатива пока нет. IOC как бы уже встроен.

Переводить старые проекты на Core смысла нет никакого, так как даже 2.0 Core проекты не имеет особого смысла переводить на Core 3.0 - слишком велики будут затраты. Это мне уже знакомый сказал, он пытался. Да и сам вижу, в сети часто примеры на 2.0 можно найти, которые могут быть совершенно не совместимы с 3.0.

По крайней мере, обещают что можно скомпилить один ехе который будет выполнятся на любой винде, безотносительно что там установлено. Сам пока все не проверял, подтвердить не могу.


все что я могу в этой теме написать

ну так в этом - то вроде и есть дискуссия. А то получается вопрос - что можете сказать в общем об этой девочке?... Ну ничего так - красивая, мороженное любит.

#10 
MrSanders коренной житель30.01.20 11:04
NEW 30.01.20 11:04 
в ответ AlexNek 29.01.20 23:55
один ехе который будет выполнятся на любой винде,

На любой это какой? Поддержка 7-ки закончилась. 8.1 и 10? А ARM-овая RT 8.1 вошла? Или "на любой" означает "на 10 Pro и даже Home!" ?

#11 
Murr патриот30.01.20 11:21
Murr
NEW 30.01.20 11:21 
в ответ AlexNek 29.01.20 23:55

Ну ничего так - красивая, мороженное любит.

-----

А из чего выводится что мороженнное любит?

И это... то - не девочка, то - транвестит... смущ

#12 
AlexNek патриот30.01.20 13:20
AlexNek
NEW 30.01.20 13:20 
в ответ MrSanders 30.01.20 11:04
На любой это какой?

вообще то имелось в виду следующее смущ

You can now publish a single-file executable with dotnet publish. This form of single EXE is effectively a self-extracting executable. It contains all dependencies, including native dependencies, as resources.

https://devblogs.microsoft.com/dotnet/announcing-net-core-...

Platform support

.NET Core 3.0 is supported on the following operating systems:

  • Alpine: 3.9+
  • Debian: 9+
  • openSUSE: 42.3+
  • Fedora: 26+
  • Ubuntu: 16.04+
  • RHEL: 6+
  • SLES: 12+
  • macOS: 10.13+
  • Windows Client: 7, 8.1, 10 (1607+)
  • Windows Server: 2012 R2 SP1+

Note: Windows Forms and WPF apps only work on Windows.

Chip support follows:

  • x64 on Windows, macOS, and Linux
  • x86 on Windows
  • ARM32 on Windows and Linux
  • ARM64 on Linux (kernel 4.14+)


То бишь не нужно думать а есть ли у нас на винде .НЕТ 4.х? А если нет, то нужно проинсталлить.

Ну еще нравится использование Fluent API и деление базовых либ на более мелкие части

#13 
AlexNek патриот30.01.20 13:21
AlexNek
NEW 30.01.20 13:21 
в ответ Murr 30.01.20 11:21
А из чего выводится что мороженнное любит?

Ну так на каждом свидании мороженное просит смущ

А знаешь анекдот как отличить замужнюю от незамужней по типу поедания мороженного?

#14 
MrSanders коренной житель30.01.20 14:18
NEW 30.01.20 14:18 
в ответ AlexNek 30.01.20 13:20

Ага. Т.е. для каждой платформы надо всё же делать свой "single-file executable " (exe для alpine звучит весело, но почему бы и нет :)), размеры которого будут приближаться к "охренительный", потому что в него будет запаковано все зависимости.

#15 
Murr патриот30.01.20 14:57
Murr
NEW 30.01.20 14:57 
в ответ AlexNek 30.01.20 13:21

на каждом свидании

-----

Ну у тебя и предпочтения... безум

#16 
Murr патриот30.01.20 14:59
Murr
NEW 30.01.20 14:59 
в ответ AlexNek 30.01.20 13:20

о бишь не нужно думать а есть ли у нас на винде .НЕТ 4.х?

-----

Неа... То есть - угу - про .Нет 4.* - думать не надо..

Нужно думать есть Кора нужной версии...


А если нет, то нужно проинсталлить.

-----

Именно...

#17 
Murr патриот30.01.20 15:01
Murr
NEW 30.01.20 15:01 
в ответ MrSanders 30.01.20 14:18

размеры которого будут приближаться к "охренительный"

-----

Оно еще и инсталироваться будет под каждого юзверя отдельно...хаха

#18 
AlexNek патриот30.01.20 16:10
AlexNek
NEW 30.01.20 16:10 
в ответ Murr 30.01.20 14:57
Ну у тебя и предпочтения..

ну я же не приглашаю каждую в отель бебе

#19 
MrSanders коренной житель30.01.20 17:10
NEW 30.01.20 17:10 
в ответ MrSanders 30.01.20 14:18

Да, что-то подумалось... Для такого решения "всё своё несу с собой" придумали же докер. Чем мега-exe от Core лучше имиджа? Тем что он запускаемый?

#20 
1 2 3 все